commit 1f875e8a629a54748eb46237fd854359aa5edbc8
Author: hasufell <hasufell@gentoo.org>
Date:   Tue Aug 27 01:40:45 2013 +0200

    provide option for unity

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 66145c9..5d4464c 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -28,6 +28,7 @@
 option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
 option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)
 option(DESKTOP_VALIDATE "Check generated desktop file for errors during build." ON)
+option(WITH_UNITY "Add unity support." OFF)
 
 if (DEBUG)
     message(STATUS "Debug build")
@@ -46,8 +47,10 @@
 endif ()
 
 find_package(PkgConfig)
-pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
-pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
+if (WITH_UNITY)
+	pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
+	pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
+endif ()
 
 # CMake's range-checking syntax doesn't allow for a bare less-than, so using
 # improbably high version numbers to indicate maximum
